[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cross-project-issues-dev] Oxygen.1 and JDK9

Hey Jens,

Oxygen.1 does NOT support Java 9 development out-of-the-box.
You have to install the Java9 support from the Eclipse Marketplace into it.

This will change with Oxygen.1a (shipping Oct 11), which will include Java9 support ouf-of-the-box.

Hope this helps!

Cheers,
-Martin



> I got some troubles on getting Oxygen.1 ready for Java 9 ... I don't want to run Oxygen.1 on Java 9, but use it on Java 8, to develop a Java 9 application. Or at least, run a Java 8 application from inside the IDE on Java 9.
> 
> Here is what I did:
> 
> * Update my Oxygen to Oxgyen.1 (or install a new Oxygen.1)
> * Download and unzip JDK9 (oracle & openjdk)
> * Point the JVM preferences page to my unzipped JDK9
> 
> The error message is:
> 
>  -> Target is not a JDK root. System library was not found.
> 
> Now I maybe doing something wrong here, but neither Google nor any Eclipse Java 9 page I found did explain this.
> 
> I also tried running Oxygen.1 on Java 9, same effect.
> 
> Thanks for your help
> 
> Jens
> 
> -- 
> Jens Reimann
> Senior Software Engineer / EMEA ENG Middleware
> Werner-von-Siemens-Ring 14
> 85630 Grasbrunn
> Germany
> phone: +49 89 2050 71286
> _____________________________________________________________________________
> 
> Red Hat GmbH, www.de.redhat.com,
> Registered seat: Grasbrunn, Commercial register: Amtsgericht Muenchen, HRB 153243,
> Managing Directors: Paul Argiry, Charles Cachera, Michael Cunningham, Michael O'Neill
> _______________________________________________
> cross-project-issues-dev mailing list
> cross-project-issues-dev@xxxxxxxxxxx
> To change your delivery options, retrieve your password, or unsubscribe from this list, visit
> https://dev.eclipse.org/mailman/listinfo/cross-project-issues-dev